import { FSDB_COLLECTION } from 'jsr:@andyburke/fsdb';

export type PASSWORD_ENTRY = {
	user_id: string;
	hash: string;
	salt: string;
	timestamps: {
		created: string;
		updated: string;
	};
};

export const PASSWORD_ENTRIES = new FSDB_COLLECTION<PASSWORD_ENTRY>({
	name: 'password_entries',
	id_field: 'user_id'
});
